Skip to main content
PATCH
/
v1
/
recommendations
/
{rec_id}
Patch Recommendation
curl --request PATCH \
  --url https://api.example.com/v1/recommendations/{rec_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rank": 2,
  "dismissal_reason": "<string>",
  "step_updates": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

rec_id
string
required

Body

application/json
status
enum<string> | null
Available options:
pending,
in_progress,
implemented,
dismissed
rank
integer | null
Required range: x >= 1
impact
enum<string> | null
Available options:
high,
medium,
quick_win
dismissal_reason
string | null
Required string length: 1 - 500
step_updates
Step Updates · object

Response

Successful Response